Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 639024 (CVE-2017-14746, CVE-2017-15275) - <net-fs/samba-4.5.15: Multiple vulnerabilities
Summary: <net-fs/samba-4.5.15: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2017-14746, CVE-2017-15275
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.samba.org/samba/history/s...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on: CVE-2018-1050, CVE-2018-1057
Blocks: CVE-2016-2119 CVE-2017-7494
  Show dependency tree
 
Reported: 2017-11-28 02:08 UTC by GLSAMaker/CVETool Bot
Modified: 2018-05-22 22:30 UTC (History)
3 users (show)

See Also:
Package list:
=net-dns/resolv_wrapper-1.1.5 =net-fs/samba-4.5.15 =sys-libs/ldb-1.1.29-r1 =sys-libs/nss_wrapper-1.1.3 =net-libs/socket_wrapper-1.1.7 =sys-libs/talloc-2.1.9 =sys-libs/tdb-1.3.13 =sys-libs/tevent-0.9.31-r1 =sys-libs/uid_wrapper-1.2.1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-11-28 02:08:54 UTC
CVE-2017-15275 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-15275):
  Samba before 4.7.3 might allow remote attackers to obtain sensitive
  information by leveraging failure of the server to clear allocated heap
  memory.

CVE-2017-14746 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-14746):
  Use-after-free vulnerability in Samba 4.x before 4.7.3 allows remote
  attackers to execute arbitrary code via a crafted SMB1 request.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-28 02:10:56 UTC
@Maintainers version 4.7.3 is already in tree, but in non-stable. Please call for stabilization when ready.

Thank you
Comment 2 Frank Krömmelbein 2017-12-27 10:07:36 UTC
The two security problems were also solved with net-fs/samba-4.5.15 see here:
https://www.samba.org/samba/history/samba-4.5.15.html

I use this version on a AMD64 system now for a few days without any issues:
[ebuild   R   ~] net-fs/samba-4.5.15::gentoo  USE="acl client cups fam ldap pam quota system-mitkrb5 winbind -addc -addns -ads -cluster -dmapi -gnutls -gpg -iprint (-selinux) -syslog (-system-heimdal) -systemd {-test} -zeroconf" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 0 KiB


So could the stabilization process for net-fs/samba-4.5.15 please be started?
Comment 3 Tomáš Mózes 2018-01-02 14:10:25 UTC
(In reply to Frank Krömmelbein from comment #2)
> The two security problems were also solved with net-fs/samba-4.5.15 see here:
> https://www.samba.org/samba/history/samba-4.5.15.html
> 
> I use this version on a AMD64 system now for a few days without any issues:
> [ebuild   R   ~] net-fs/samba-4.5.15::gentoo  USE="acl client cups fam ldap
> pam quota system-mitkrb5 winbind -addc -addns -ads -cluster -dmapi -gnutls
> -gpg -iprint (-selinux) -syslog (-system-heimdal) -systemd {-test}
> -zeroconf" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
> 
> 
> So could the stabilization process for net-fs/samba-4.5.15 please be started?

I can too confirm a working 4.5.15 instance on amd64.
Comment 4 Frank Krömmelbein 2018-01-18 10:06:26 UTC
PING!
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2018-01-18 14:57:00 UTC
Arches please stablilize =net-fs/samba-4.5.15
Comment 6 Stabilization helper bot gentoo-dev 2018-01-18 15:01:42 UTC
An automated check of this bug failed - repoman reported dependency errors (2 lines truncated): 

> dependency.bad net-fs/samba/samba-4.5.15.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=sys-libs/ldb-1.1.27[ldap(+)?,python(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/talloc-2.1.8[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tdb-1.3.10[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tevent-0.9.31-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=net-dns/resolv_wrapper-1.1.4', '>=net-libs/socket_wrapper-1.1.7']
> dependency.bad net-fs/samba/samba-4.5.15.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=sys-libs/ldb-1.1.27[ldap(+)?,python(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/talloc-2.1.8[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tdb-1.3.10[python,python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),python_single_target_python2_7(+),abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=sys-libs/tevent-0.9.31-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad net-fs/samba/samba-4.5.15.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=net-dns/resolv_wrapper-1.1.4']
Comment 7 Stabilization helper bot gentoo-dev 2018-01-18 16:03:39 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 8 Agostino Sarubbo gentoo-dev 2018-01-19 10:30:10 UTC
amd64 stable
Comment 9 Thomas Deutschmann gentoo-dev Security 2018-01-21 15:04:31 UTC
x86 cannot stabilize due to bug 608538.
Comment 10 Larry the Git Cow gentoo-dev 2018-01-22 10:21:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afbdb3ca9a3d841af88e84c3a74e2d4a96fe8020

commit afbdb3ca9a3d841af88e84c3a74e2d4a96fe8020
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-01-22 10:20:39 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-01-22 10:21:00 +0000

    net-fs/samba: Restricted tests. They are totally broken.
    
    Bug: https://bugs.gentoo.org/639024
    Package-Manager: Portage-2.3.20, Repoman-2.3.6

 net-fs/samba/samba-4.5.15.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)}
Comment 11 Thomas Deutschmann gentoo-dev Security 2018-01-22 11:14:35 UTC
x86 stable
Comment 12 Sergei Trofimovich gentoo-dev 2018-02-08 19:46:22 UTC
ia64 stable
Comment 13 Sergei Trofimovich gentoo-dev 2018-02-21 19:41:06 UTC
commit ee21089ac44eb09c5204bde091476190c2e75d9a
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Wed Feb 21 09:01:14 2018 +0100

    net-fs/samba: stable 4.5.15 for sparc, bug #639024
Comment 14 Sergei Trofimovich gentoo-dev 2018-02-23 22:11:10 UTC
commit ee21089ac44eb09c5204bde091476190c2e75d9a
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Wed Feb 21 09:01:14 2018 +0100

    net-fs/samba: stable 4.5.15 for sparc, bug #639024
Comment 15 Sergei Trofimovich gentoo-dev 2018-03-02 22:53:17 UTC
commit 641b9cdd77c8f4f62e25f283051160c26fc3f477
Author: Tobias Klausmann <klausman@gentoo.org>
Date:   Fri Mar 2 19:40:20 2018 +0100

    net-fs/samba-4.5.15-r0: alpha stable
Comment 16 Mart Raudsepp gentoo-dev 2018-03-03 13:02:43 UTC
arm64 doesn't have any of this stable, not newstabling for security...
Comment 17 Sergei Trofimovich gentoo-dev 2018-03-07 23:26:59 UTC
ppc stable
Comment 18 Matt Turner gentoo-dev 2018-03-12 02:26:22 UTC
ppc64 done
Comment 19 Matt Turner gentoo-dev 2018-03-21 22:14:46 UTC
I don't know what's going on here. hppa doesn't even have keywords and it's not clear why or when they were dropped.

arm shouldn't waste its time stabilizing this when a newer stablereq exists (bug 650382). Marking that as a blocker and removing hppa and arm from CC.
Comment 20 GLSAMaker/CVETool Bot gentoo-dev 2018-05-22 22:30:53 UTC
This issue was resolved and addressed in
 GLSA 201805-07 at https://security.gentoo.org/glsa/201805-07
by GLSA coordinator Aaron Bauman (b-man).